/***************************************************************************
 *   Copyright (C) 2004-2006 by Jim Campbell                               *
 *   ifpgui@gmail.com                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
class Settings
{
   public:
      Settings(QString &fileName);
      ~Settings();

      void saveSettings(QString &fileName);
      void setWindowSize(int width, int height);
      void setDefaultFolder(QString &defFolder);
      void setPlaylistFolder(QString &defFolder);
      void setDirViewWidth(int width);
      void setIfpViewWidth(int width);
      void setAutoConvertREC(bool autoCvt);
      void setViewAlignment(int alignment);

      void getWindowSize(int *width, int *height);
      QString getDefaultFolder();
      QString getPlaylistFolder();
      int  getDirViewWidth();
      int  getIfpViewWidth();
      bool getAutoConvertREC();
      int  getViewAlignment();

   private:
      QString folderName;
      QString playlistFolder;
      int windowHeight;
      int windowWidth;
      int dirViewWidth;
      int ifpViewWidth;
      bool autoConvert;
      int viewAlignment;
};

